<?php

function workart_business_setup() {
		register_nav_menus( array(
			'social' 	=> esc_html__( 'Social', 'workart-business' ),
		) );

	}
add_action( 'after_setup_theme', 'workart_business_setup' );

if ( ! function_exists( 'workart_business_enqueue_styles' ) ) :

	function workart_business_enqueue_styles() {
		wp_enqueue_style( 'workart-business-style-parent', get_template_directory_uri() . '/style.css' );

		wp_enqueue_style( 'workart-business-style', get_stylesheet_directory_uri() . '/style.css', array( 'workart-business-style-parent' ), '1.0.0' );

		wp_enqueue_script( 'workart-business-custom', get_theme_file_uri() . '/custom.js', array(), '1.0', true );

		wp_enqueue_style( 'workart-business-fonts', workart_business_fonts_url(), array(), null );

	}
endif;
add_action( 'wp_enqueue_scripts', 'workart_business_enqueue_styles', 99 );

function workart_business_customize_control_js() {

	wp_enqueue_style( 'workart-business-customize-controls-css', get_theme_file_uri() . '/customizer-control.css' );

}
add_action( 'customize_controls_enqueue_scripts', 'workart_business_customize_control_js' );



if ( !function_exists( 'workart_business_block_editor_styles' ) ):

	function workart_business_block_editor_styles() {
		wp_enqueue_style( 'workart-business-fonts', workart_business_fonts_url(), array(), null );
	}

endif;

add_action( 'enqueue_block_editor_assets', 'workart_business_block_editor_styles' );


if ( ! function_exists( 'workart_business_fonts_url' ) ) :

function workart_business_fonts_url() {
	
	$fonts_url = '';
	$fonts     = array();
	$subsets   = 'latin,latin-ext';

	if ( 'off' !== _x( 'on', 'Poppins font: on or off', 'workart-business' ) ) {
		$fonts[] = 'Poppins:400,500,600,700';
	}

	$query_args = array(
		'family' => urlencode( implode( '|', $fonts ) ),
		'subset' => urlencode( $subsets ),
	);

	if ( $fonts ) {
		$fonts_url = add_query_arg( $query_args, 'https://fonts.googleapis.com/css' );
	}

	return esc_url_raw( $fonts_url );
}

endif;



require get_theme_file_path() . '/inc/customizer.php';

require get_theme_file_path() . '/inc/front-sections/slider.php';

require get_theme_file_path() . '/inc/front-sections/about.php';

require get_theme_file_path() . '/inc/front-sections/client.php';

require get_theme_file_path() . '/inc/front-sections/testimonial.php';
