<?php

$wp_customize->add_section( 'workart_about_us_section',
	array(
		'title'             => esc_html__( 'About us','workart-business' ),
		'description'       => esc_html__( 'About us  Section options.', 'workart-business' ),
        'panel'             => 'workart_front_page_panel',
        'priority'  => 6,
	)
);


$wp_customize->add_setting( 'about_us_section_enable',
	array(
		'default'			=> 	false,
		'sanitize_callback' => 'workart_sanitize_switch_control',
	)
);

$wp_customize->add_control( new Workart_Business_Switch_Control( $wp_customize,
	'about_us_section_enable',
		array(
			'label'             => esc_html__( 'About Section Enable', 'workart-business' ),
			'section'           => 'workart_about_us_section',
			'on_off_label' 		=> workart_switch_options(),
		)
	)
);

$wp_customize->add_setting('about_us_custom_sub_title',
    array(
        'sanitize_callback' => 'sanitize_text_field',
    )
);

$wp_customize->add_control('about_us_custom_sub_title',
    array(
        'section'			=> 'workart_about_us_section',
        'label'				=> esc_html__( 'Section Sub Title:', 'workart-business' ),
        'type'          	=>'text',
        'active_callback'   => 'workart_business_is_about_section_enable',
    )
);


$wp_customize->add_setting( 'about_us_content_page',
	array(
		'sanitize_callback' => 'workart_sanitize_page',
	)
);

$wp_customize->add_control( new Workart_Business_Dropdown_Chooser( $wp_customize,
	'about_us_content_page',
		array(
			'label'             => esc_html__( 'Select Page', 'workart-business' ),
			'section'           => 'workart_about_us_section',
			'choices'			=> workart_page_choices(),
			'active_callback'   => 'workart_business_is_about_section_enable',
		)
	)
);


$wp_customize->add_setting('about_us_btn_txt',
    array(
        'sanitize_callback' => 'sanitize_text_field',
    )
);

$wp_customize->add_control('about_us_btn_txt',
    array(
        'section'			=> 'workart_about_us_section',
        'label'				=> esc_html__( 'Button Text:', 'workart-business' ),
        'type'          	=>'text',
        'active_callback'   => 'workart_business_is_about_section_enable',
    )
);


for($i=2; $i<=3; $i++){
	$wp_customize->add_setting( 'about_us_custom_image' . $i,
		array(
			'sanitize_callback' => 'workart_sanitize_image',
		)
	);
	
	$wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize,
		'about_us_custom_image' . $i,
			array(
				'label'       		=> esc_html__( 'Extra Image', 'workart-business' ),
				'description' 		=> sprintf( esc_html__( 'Recommended size: %1$dpx x %2$dpx ', 'workart-business' ), 550, 521 ),
				'section'     		=> 'workart_about_us_section',
				'active_callback'   => 'workart_business_is_about_section_enable',
			)
		)
	);
}