<?php

$wp_customize->add_section( 'workart_testimonial_section',
	array(
		'title'             => esc_html__( 'Testimonial','workart-business' ),
		'description'       => esc_html__( 'Testimonial Section options.', 'workart-business' ),
		'panel'             => 'workart_front_page_panel',
		'priority'  => 45,
	)
);


$wp_customize->add_setting( 'testimonial_section_enable', 
	array(
		'default'			=> 	false,
		'sanitize_callback' => 'workart_sanitize_switch_control',
	) 
);

$wp_customize->add_control( new  Workart_Business_Switch_Control( $wp_customize,
	'testimonial_section_enable',
		array(
			'label'             => esc_html__( 'Testimonial Section Enable', 'workart-business' ),
			'section'           => 'workart_testimonial_section',
			'on_off_label' 		=> workart_switch_options(),
		)
	)
);

$wp_customize->add_setting('testimonial_sub_title',
    array(
        'sanitize_callback' => 'sanitize_text_field',
    )
);

$wp_customize->add_control('testimonial_sub_title',
    array(
        'section'			=> 'workart_testimonial_section',
        'label'				=> esc_html__( 'Section Sub Title:', 'workart-business' ),
        'type'          	=>'text',
        'active_callback'   => 'workart_business_is_testimonial_enable',
    )
);


for ( $i = 1; $i <= 3; $i++ ) :

	$wp_customize->add_setting( 'testimonial_content_post_'. $i .'', 
		array(
			'sanitize_callback' => 'workart_sanitize_page',
		)
	);

	$wp_customize->add_control( new  Workart_Business_Dropdown_Chooser( $wp_customize,
		'testimonial_content_post_'. $i .'', 
			array(
				'label'             => sprintf(esc_html__( 'Select post: %d', 'workart-business'), $i ),
				'section'           => 'workart_testimonial_section',
				'choices'			=> workart_post_choices(),
				'active_callback'   => 'workart_business_is_testimonial_enable',
			)
		)
	);

	$wp_customize->add_setting('testimonial_position_'.$i,
	    array(
	        'sanitize_callback' => 'sanitize_text_field',
	    )
	);

	$wp_customize->add_control('testimonial_position_'.$i,
	    array(
	        'section'			=> 'workart_testimonial_section',
	        'label'				=> 	sprintf(esc_html__( 'Position %d', 'workart-business'), $i ),
	        'type'          	=>'text',
	        'active_callback'   => 'workart_business_is_testimonial_enable',
	    )
	);
	

endfor;



